package com.linseykate.findingfido;

import android.app.Application;
import android.graphics.Bitmap;
import android.widget.ImageView;
import android.widget.RelativeLayout;

import java.util.ArrayList;

/**
 * Adapted from http://stackoverflow.com/questions/1944656/android-global-variable
 *
 * Allows the programmer to use data across
 * multiple activities
 */
public class GlobalVariables extends Application {

    String recentRecordNo;
    String[] notifications;
    ArrayList<DogAttributes> dogRecords;
    ArrayList<RecordNoKeeper> recordIds;
    DogAttributes dogToMatch;
    private ImageView dogPic;
    private RelativeLayout hiddenSection;
    int headStartX;
    int headStartY;
    int headFinishX;
    int headFinishY;
    int lEyeStartX;
    int lEyeStartY;
    int lEyeFinishX;
    int lEyeFinishY;
    int rEyeStartX;
    int rEyeStartY;
    int rEyeFinishX;
    int rEyeFinishY;
    int noseStartX;
    int noseStartY;
    int noseFinishX;
    int noseFinishY;

    public ArrayList<RecordNoKeeper> getRecordIds() {
        return recordIds;
    }

    public void setRecordIds(ArrayList<RecordNoKeeper> recordIds) {
        this.recordIds = recordIds;
    }

    public String getRecentRecordNo() {
        return recentRecordNo;
    }

    public void setRecentRecordNo(String recentRecordNo) {
        this.recentRecordNo = recentRecordNo;
    }

    public String[] getNotifications() {
        return notifications;
    }

    public void setNotifications(String[] notifications) {
        this.notifications = notifications;
    }

    public ArrayList<DogAttributes> getDogRecords() {
        return dogRecords;
    }

    public void setDogRecords(ArrayList<DogAttributes> dogRecords) {
        this.dogRecords = dogRecords;
    }

    public DogAttributes getDogToMatch() {
        return dogToMatch;
    }

    public void setDogToMatch(DogAttributes dogToMatch) {
        this.dogToMatch = dogToMatch;
    }

    public int getNoseFinishY() {
        return noseFinishY;
    }

    public void setNoseFinishY(int noseFinishY) {
        this.noseFinishY = noseFinishY;
    }

    public int getHeadStartX() {
        return headStartX;
    }

    public void setHeadStartX(int headStartX) {
        this.headStartX = headStartX;
    }

    public int getHeadStartY() {
        return headStartY;
    }

    public void setHeadStartY(int headStartY) {
        this.headStartY = headStartY;
    }

    public int getHeadFinishX() {
        return headFinishX;
    }

    public void setHeadFinishX(int headFinishX) {
        this.headFinishX = headFinishX;
    }

    public int getHeadFinishY() {
        return headFinishY;
    }

    public void setHeadFinishY(int headFinishY) {
        this.headFinishY = headFinishY;
    }

    public int getlEyeStartX() {
        return lEyeStartX;
    }

    public void setlEyeStartX(int lEyeStartX) {
        this.lEyeStartX = lEyeStartX;
    }

    public int getlEyeStartY() {
        return lEyeStartY;
    }

    public void setlEyeStartY(int lEyeStartY) {
        this.lEyeStartY = lEyeStartY;
    }

    public int getlEyeFinishX() {
        return lEyeFinishX;
    }

    public void setlEyeFinishX(int lEyeFinishX) {
        this.lEyeFinishX = lEyeFinishX;
    }

    public int getlEyeFinishY() {
        return lEyeFinishY;
    }

    public void setlEyeFinishY(int lEyeFinishY) {
        this.lEyeFinishY = lEyeFinishY;
    }

    public int getrEyeStartX() {
        return rEyeStartX;
    }

    public void setrEyeStartX(int rEyeStartX) {
        this.rEyeStartX = rEyeStartX;
    }

    public int getrEyeStartY() {
        return rEyeStartY;
    }

    public void setrEyeStartY(int rEyeStartY) {
        this.rEyeStartY = rEyeStartY;
    }

    public int getrEyeFinishX() {
        return rEyeFinishX;
    }

    public void setrEyeFinishX(int rEyeFinishX) {
        this.rEyeFinishX = rEyeFinishX;
    }

    public int getrEyeFinishY() {
        return rEyeFinishY;
    }

    public void setrEyeFinishY(int rEyeFinishY) {
        this.rEyeFinishY = rEyeFinishY;
    }

    public int getNoseStartX() {
        return noseStartX;
    }

    public void setNoseStartX(int noseStartX) {
        this.noseStartX = noseStartX;
    }

    public int getNoseStartY() {
        return noseStartY;
    }

    public void setNoseStartY(int noseStartY) {
        this.noseStartY = noseStartY;
    }

    public int getNoseFinishX() {
        return noseFinishX;
    }

    public void setNoseFinishX(int noseFinishX) {
        this.noseFinishX = noseFinishX;
    }

    public ImageView getDogPic() {
        return dogPic;
    }

    public void setDogPic(ImageView dogPic) {
        this.dogPic = dogPic;
    }

    public RelativeLayout getHiddenSection() {
        return hiddenSection;
    }

    public void setHiddenSection(RelativeLayout hiddenSection) {
        this.hiddenSection = hiddenSection;
    }
}
